<%@ page language="VB" autoeventwireup="false" masterpagefile="~/MasterPages/Kartris.master" inherits="Search, KartrisCompiled" enableEventValidation="false" viewStateEncryptionMode="Always" %>

<asp:Content ID="cntMain" ContentPlaceHolderID="cntMain" runat="Server">
    <div class="breadcrumbtrail">
        <asp:SiteMapPath ID="smpTrail" PathSeparator="<% $Resources: Kartris, ContentText_BreadcrumbSeparator %>" runat="server" SiteMapProvider="BreadCrumbSiteMap" />
    </div>
    <div class="search">
        <h1>
            <asp:Literal ID="litHeader" runat="server" Text="<%$ Resources: Search, PageTitle_ProductSearch %>"></asp:Literal>
        </h1>
        <asp:UpdatePanel ID="updSearch" runat="server" UpdateMode="Conditional">
            <ContentTemplate>
                <asp:UpdatePanel ID="updSearchControls" runat="server" UpdateMode="Conditional">
                    <ContentTemplate>
                        <user:PopupMessage ID="popError" runat="server" />
                        <ajaxToolkit:TabContainer ID="tabSearchContainer" runat="server" EnableTheming="false"
                            CssClass="tab">
                            <ajaxToolkit:TabPanel ID="tabClassicSearch" runat="server" OnClientClick="SetToBasic">
                                <HeaderTemplate>
                                    <asp:Literal ID="litTextTabSearch" runat="server" Text="<%$ Resources: Search, FormLabel_Search %>"></asp:Literal>
                                </HeaderTemplate>
                                <ContentTemplate>
                                    <div class="inputform">
                                        <asp:Panel ID="pnlClassicSearch" runat="server" DefaultButton="btnClassicSearch">
                                            <asp:Label ID="lblKeywords" runat="server" Text="<%$ Resources: Search, ContentText_Keywords %>"
                                                AssociatedControlID="txtClassicSearch"></asp:Label>
                                            <asp:TextBox ID="txtClassicSearch" runat="server" MaxLength="40" />
                                            <asp:Button ID="btnClassicSearch" CssClass="button" ValidationGroup="ClassicSearch"
                                                runat="server" Text="<%$ Resources:Search, FormLabel_Search %>"></asp:Button><asp:RequiredFieldValidator
                                                    ID="valClassic" runat="server" Display="Dynamic" ErrorMessage="<%$ Resources: Kartris, ContentText_RequiredField %>" ValidationGroup="ClassicSearch"
                                                    ControlToValidate="txtClassicSearch" CssClass="error" ForeColor="" EnableClientScript="True" />
                                                    
                                        </asp:Panel><asp:UpdateProgress ID="prgSearch" runat="server" AssociatedUpdatePanelID="updSearchControls"
                                            DynamicLayout="false" DisplayAfter="10">
                                            <ProgressTemplate>
                                                <div class="smallupdateprogress">
                                                </div>
                                            </ProgressTemplate>
                                        </asp:UpdateProgress>
                                    </div>
                                </ContentTemplate>
                            </ajaxToolkit:TabPanel>
                            <ajaxToolkit:TabPanel ID="tabAdvancedSearch" runat="server" OnClientClick="SetToAdvanced">
                                <HeaderTemplate>
                                    <asp:Literal ID="litTextTabAdvancedSearch" runat="server" Text="<%$ Resources: Search, FormLabel_AdvancedSearch %>"></asp:Literal>
                                </HeaderTemplate>
                                <ContentTemplate>
                                    <div class="inputform">
                                        <asp:Panel ID="pnlAdvancedSearch" runat="server" DefaultButton="btnAdvancedSearch">
                                            <div><asp:Label ID="lblKeywords2" runat="server" Text="<%$ Resources: Search, ContentText_Keywords %>"
                                                AssociatedControlID="txtAdvancedSearch"></asp:Label>
                                            <asp:TextBox ID="txtAdvancedSearch" runat="server" MaxLength="40" />
                                            <asp:Button ID="btnAdvancedSearch" runat="server" CssClass="button" Text="<%$ Resources: Search, FormLabel_Search %>"
                                                ValidationGroup="AdvancedSearch" /><asp:RequiredFieldValidator ID="valAdvanced"
                                                    runat="server" Display="Dynamic" ErrorMessage="<%$ Resources: Kartris, ContentText_RequiredField %>" ValidationGroup="AdvancedSearch"
                                                    ControlToValidate="txtAdvancedSearch" CssClass="error" EnableClientScript="True"
                                                    ForeColor="" /></div>
                                            <asp:UpdateProgress ID="prgSearch2" runat="server" AssociatedUpdatePanelID="updSearchControls"
                                            DynamicLayout="false" DisplayAfter="10">
                                            <ProgressTemplate>
                                                <div class="smallupdateprogress">
                                                </div>
                                            </ProgressTemplate>
                                        </asp:UpdateProgress>        
                                            <div class="advanceline">
                                                <asp:Label ID="litTextFrom" runat="server" AssociatedControlID="txtFromPrice" Text="<%$ Resources: Search, FormLabel_PriceRangeFrom %>"></asp:Label>
                                                <asp:Literal ID="litPriceSymbol" runat="server"></asp:Literal>
                                                <asp:TextBox ID="txtFromPrice" runat="server" CssClass="small"></asp:TextBox><asp:CompareValidator ID="valComparePrice1" runat="server" Display="Dynamic" ErrorMessage="<%$ Resources: Kartris, ContentText_InvalidValue %>"
                                                    ValidationGroup="AdvancedSearch" Operator="DataTypeCheck" Type="Double" ControlToValidate="txtFromPrice"
                                                    ForeColor="" CssClass="error" EnableClientScript="True" />
                                                <asp:Label ID="litTextTo" runat="server" AssociatedControlID="txtToPrice" Text="<%$ Resources: Search, FormLabel_PriceRangeTo %>"></asp:Label>
                                                <asp:Literal ID="litPriceSymbol2" runat="server"></asp:Literal>
                                                <asp:TextBox ID="txtToPrice" runat="server" CssClass="small"></asp:TextBox><asp:CompareValidator ID="valComparePrice2" runat="server" Display="Dynamic" ErrorMessage="<%$ Resources: Kartris, ContentText_InvalidValue %>"
                                                    ValidationGroup="AdvancedSearch" Operator="DataTypeCheck" Type="Double" ControlToValidate="txtToPrice"
                                                    ForeColor="" CssClass="error" EnableClientScript="True" />
                                            </div>
                                        </asp:Panel>
                                        
                                    </div>
                                    <ajaxToolkit:FilteredTextBoxExtender ID="filTextFrom" runat="server" TargetControlID="txtFromPrice"
                                        FilterType="Custom, Numbers" ValidChars=".">
                                    </ajaxToolkit:FilteredTextBoxExtender>
                                    <ajaxToolkit:FilteredTextBoxExtender ID="filTextTo" runat="server" TargetControlID="txtToPrice"
                                        FilterType="Custom, Numbers" ValidChars=".">
                                    </ajaxToolkit:FilteredTextBoxExtender>
                                </ContentTemplate>
                            </ajaxToolkit:TabPanel>
                        </ajaxToolkit:TabContainer>
                        <asp:CheckBox ID="chkClassicSearch" class="invisible" runat="server" />
                        <asp:CheckBox ID="chkAdvancedSearch" class="invisible" runat="server" />
                        <asp:Button ID="btnHiddenSubmit" class="invisible" runat="server" Text=" submit " />
                    </ContentTemplate>
                </asp:UpdatePanel>
                <asp:UpdatePanel ID="updSearchResultArea" runat="server" UpdateMode="Conditional">
                    <ContentTemplate>
                        <div class="results">
                            <asp:HyperLink ID="lnkNewSearch" runat="server" CssClass="link2 floatright" NavigateUrl="~/Search.aspx"
                                Text="<%$ Resources: Search, ContentText_NewSearch %>"></asp:HyperLink><h2>
                                    <asp:Literal ID="litTextSearchResults" runat="server" Text="<%$ Resources: Search, PageTitle_SearchResults %>"></asp:Literal>
                                </h2>
                            <p id="searchsummary">
                                <asp:Literal ID="litSearchResult" runat="server"></asp:Literal></p>
                            <user:SearchResult ID="UC_SearchResult" runat="server" />
                            <user:ItemPager ID="UC_ItemPager_Footer" runat="server" Visible="False" />
                        </div>
                    </ContentTemplate>
                </asp:UpdatePanel>
            </ContentTemplate>
        </asp:UpdatePanel>

        <script type="text/javascript">
            function SetToBasic() {
                setTimeout("DoFocus()", 100);
            }
            function DoFocus() {
                document.getElementById("<% =txtClassicSearch.ClientID %>").focus();
                document.getElementById("<% =chkClassicSearch.ClientID %>").checked = true
                document.getElementById("<% =chkAdvancedSearch.ClientID %>").checked = false
            }

            function SetToAdvanced() {
                setTimeout("DoFocus2()", 100);
            }
            function DoFocus2() {
                document.getElementById("<% =txtAdvancedSearch.ClientID %>").focus();
                document.getElementById("<% =chkAdvancedSearch.ClientID %>").checked = true
                document.getElementById("<% =chkClassicSearch.ClientID %>").checked = false
            }
        
        </script>

        <asp:Panel ID="pnlClassic" runat="server">

            <script type="text/javascript">
                SetToBasic();
            </script>

        </asp:Panel>
        <asp:Panel ID="pnlAdvanced" runat="server" Visible="false">

            <script type="text/javascript">
                SetToAdvanced();
            </script>

        </asp:Panel>
    </div>
</asp:Content>
