﻿<%@ control language="VB" autoeventwireup="false" inherits="ProductVersions, KartrisCompiled" %>
<div class="spacer">
</div>
<div class="versions pad">
    <asp:UpdatePanel ID="updMain" runat="server" UpdateMode="Conditional">
        <ContentTemplate>
            <asp:MultiView ID="mvwVersion" runat="server" ActiveViewIndex="0">
                <asp:View ID="viwEmpty" runat="server">
                </asp:View>
                <asp:View ID="viwSelect" runat="server">
                    <asp:FormView ID="fvwPrice" runat="server">
                        <ItemTemplate>
                            <!-- ex tax / inc tax prices -->
                            <asp:Panel ID="pnlExIncTax" runat="server" Visible="false">
                                <div class="prices">
                                    <span class="extax">
                                        <asp:Literal ID="litLS_ExTax" runat="server" Text="<%$ Resources: Kartris, ContentText_ExTax %>" />
                                        <span class="figure">
                                            <asp:Literal ID="litCalculatedTax_Rows" runat="server" Text='<%# Eval("CalculatedTax") %>'
                                                Visible="false" />
                                            <asp:Literal ID="litResultedCalculatedTax_Rows" runat="server" /></span></span>
                                    <% If KartSettingsManager.GetKartConfig("general.tax.usmultistatetax") = "n" Then%>
                                    <span class="inctax">
                                        <asp:Literal ID="litLS_IncTax" runat="server" Text="<%$ Resources: Kartris, ContentText_IncTax %>" />
                                        <span class="figure">
                                            <asp:Literal ID="litIncTax_Rows" runat="server" Text='<%# Eval("V_Price") %>' Visible="false" />
                                            <asp:Literal ID="litResultedIncTax_Rows" runat="server" /></span>
                                        <% End If%>
                                </div>
                            </asp:Panel>
                            <!-- ex tax / tax % prices -->
                            <asp:Panel ID="pnlExTaxTax" runat="server" Visible="false">
                                <div class="prices">
                                    <span class="extax">
                                        <asp:Literal ID="litLS_ExTax2" runat="server" Text="<%$ Resources: Kartris, ContentText_ExTax %>" />
                                        <asp:Literal ID="litExTax_Rows" runat="server" Text='<%# Eval("V_Price") %>' Visible="false" />
                                        <span class="figure">
                                            <asp:Literal ID="litResultedExTax_Rows" runat="server" /></span></span>
                                    <span class="tax">
                                        <asp:Literal ID="litLS_Tax" runat="server" Text="<%$ Resources: Kartris, ContentText_Tax %>" />
                                        <span class="figure">
                                            <asp:Literal ID="litTaxRate_Rows" runat="server" Text='<%# Eval("T_TaxRate") %>'
                                                Visible="false" />
                                            <asp:Literal ID="litResultedTaxRate_Rows" runat="server" /></span></span>
                                </div>
                            </asp:Panel>
                            <!-- single price -->
                            <asp:Panel ID="pnlPrice" runat="server" Visible="false">
                                <div class="prices">
                                    <span class="price">
                                        <asp:Literal ID="litLS_Price" runat="server" Text="<%$ Resources: Kartris, ContentText_Price %>" />
                                        <span class="figure">
                                            <asp:Literal ID="litPrice_Rows" runat="server" Text='<%# Eval("V_Price") %>' Visible="false" />
                                            <asp:Literal ID="litResultedPrice_Rows" runat="server" /></span></span>
                                </div>
                            </asp:Panel>
                            <asp:UpdatePanel ID="updVersionQty1" runat="server" UpdateMode="Conditional" RenderMode="Block">
                                <ContentTemplate>
                                    <%  'Hide 'add' button and selector if in cataloguemode
                                        If KartSettingsManager.GetKartConfig("frontend.cataloguemode") <> "y" Then%>
                                    <div class="boxinset line">
                                        <div class="addtobasket">
                                            <div class="selector">
                                                <asp:PlaceHolder ID="phdNotOutOfStock1" runat="server" Visible='<%# Iif(Eval("V_Quantity") < 1 And Eval("V_QuantityWarnLevel") > 0, False, True) %>'>
                                                    <asp:PlaceHolder ID="phdCustomizable" runat="server" Visible='<%# Eval("V_CustomizationType") <> "n" %>'>
                                                        <div class="cancustomizetag" title="<asp:Literal ID='litContentTextCanCustomize1' Text='<%$ Resources: Products, ContentText_CanCustomize %>' runat='server'></asp:Literal>">
                                                        </div>
                                                    </asp:PlaceHolder>
                                                    <user:AddPane ID="UC_AddToBasketQty1" runat="server" HasAddButton="True" CanCustomize='<%# Eval("V_CustomizationType") <> "n" %>' VersionID='<%# Eval("V_ID") %>' />
                                                </asp:PlaceHolder>
                                                <asp:PlaceHolder ID="phdOutOfStock1" runat="server" Visible='<%# Iif(Eval("V_Quantity") < 1 And Eval("V_QuantityWarnLevel") > 0, True, False) %>'>
                                                    <div class="outofstock">
                                                        <asp:Literal ID="litOutOfStockMessage1" runat="server" Text="<%$ Resources: Versions, ContentText_AltOutOfStock %>" /></div>
                                                </asp:PlaceHolder>
                                            </div>
                                        </div>
                                    </div>
                                    <% End If%>
                                </ContentTemplate>
                            </asp:UpdatePanel>
                        </ItemTemplate>
                    </asp:FormView>
                </asp:View>
                <asp:View ID="viwError" runat="server">
                    <span class="error">
                        <asp:Literal ID="litError" runat="server" Text="<%$ Resources: Kartris, ContentText_ContentNotAvailable %>"></asp:Literal></span>
                </asp:View>
                <asp:View ID="viwVersionRows" runat="server">
                    <div class="versions">
                        <asp:UpdatePanel ID="updVersions" runat="server" UpdateMode="Conditional">
                            <ContentTemplate>
                                <asp:DropDownList ID="ddlVersionImages" runat="server" Visible="true" />
                            </ContentTemplate>
                        </asp:UpdatePanel>
                        <asp:UpdatePanel ID="updVersionsTabular" runat="server" UpdateMode="Conditional">
                            <ContentTemplate>
                                <table>
                                    <colgroup class="col_name" />
                                    <!-- RRP -->
                                    <%
                                        If KartSettingsManager.GetKartConfig("frontend.versions.display.showrrp") = "y" Then
                                    %>
                                    <colgroup class="col_rrp" />
                                    <% End If%>
                                    <!-- Stock level -->
                                    <%
                                        If KartSettingsManager.GetKartConfig("frontend.versions.display.showstock") = "y" Then
                                    %>
                                    <colgroup class="col_stock" />
                                    <% End If%>
                                    <colgroup class="col_price" />
                                    <colgroup class="col_addtobasket" />
                                    <thead>
                                        <tr class="headrow">
                                            <th class="info">
                                            </th>
                                            <!-- RRP -->
                                    <%
                                                If KartSettingsManager.GetKartConfig("frontend.versions.display.showrrp") = "y" Then
                                            %>
                                            <th class="rrp">
                                                <asp:Literal ID="litLS_RRP" runat="server" Text="<%$ Resources: Versions, ContentText_RRP %>" />
                                            </th>
                                            <% End If%>
                                            <!-- Stock level -->
                                    <%
                                                If KartSettingsManager.GetKartConfig("frontend.versions.display.showstock") = "y" Then
                                            %>
                                            <th>
                                                <asp:Literal ID="litLS_Stock" runat="server" Text="<%$ Resources: Versions, ContentText_Stock %>" />
                                            </th>
                                            <% End If%>
                                            <%  'Tax Columns
                                                If KartSettingsManager.GetKartConfig("frontend.display.showtax") = "y" Then%>
                                            <th class="price">
                                                <asp:Literal ID="litLS_ExTax" runat="server" Text="<%$ Resources: Kartris, ContentText_ExTax %>" />
                                            </th>
                                            <% If KartSettingsManager.GetKartConfig("general.tax.usmultistatetax") = "n" Then%>
                                            <% If KartSettingsManager.GetKartConfig("general.tax.pricesinctax") = "y" Then%>
                                            <th class="price">
                                                <asp:Literal ID="litLS_IncTax" runat="server" Text="<%$ Resources: Kartris, ContentText_IncTax %>" />
                                            </th>
                                            <% Else%>
                                            <th class="price">
                                                <asp:Literal ID="litLS_Tax" runat="server" Text="<%$ Resources: Kartris, ContentText_Tax %>" />
                                            </th>
                                            <%  End If%>
                                            <% End If%>
                                            <%Else%>
                                            <th class="price">
                                                <asp:Literal ID="litLS_Price" runat="server" Text="<%$ Resources: Kartris, ContentText_Price %>" />
                                            </th>
                                            <%  End If 'Tax Columns%>
                                            <%
                                                'Hide 'add' button and selector if in cataloguemode
                                                If KartSettingsManager.GetKartConfig("frontend.cataloguemode") <> "y" Then%>
                                            <th class="addtobasket">
                                            </th>
                                            <% End If%>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <asp:Repeater ID="rptRows" runat="server">
                                            <ItemTemplate>
                                                <tr>
                                                    <%
                                                        'COUNT TOTAL COLUMNS
                                                        'Unfortunately, IE6 does not accept
                                                        'the 'colspan=0' syntax so we
                                                        'cannot stretch the version desc
                                                        'cell across all rows simply because
                                                        'the number of columns displayed can
                                                        'vary depending on config settings.
                                                        'So we need to keep a running total
                                                        'and set the colspan accordingly.
                                                        Dim intColSpan As Integer = 3
                                                    %>
                                                    <td class="info">
                                                        <asp:Label ID="lblVID_Rows" runat="server" Text='<%# Eval("V_ID") %>' Visible="False"></asp:Label>
                                                        <div class="name">
                                                            <asp:Label ID="lblName_Rows" runat="server" Text='<%# Eval("V_Name") %>'></asp:Label></div>
                                                        <asp:Label ID="lblCode_Rows" runat="server" Text='<%# Eval("V_CodeNumber") %>'></asp:Label>
                                                    </td>
                                                    <%
                                                        'SHOW RRP
                                                        If KartSettingsManager.GetKartConfig("frontend.versions.display.showrrp") = "y" Then
                                                            intColSpan += 1
                                                    %>
                                                    <td class="rrp">
                                                        <asp:Literal ID="litRRP_Rows" runat="server" Text='<%# Eval("V_RRP") %>' Visible='<%# Eval("V_RRP") > 0 %>' />
                                                    </td>
                                                    <% End If%>
                                                    <%
                                                        'SHOW STOCK LEVEL
                                                        If KartSettingsManager.GetKartConfig("frontend.versions.display.showstock") = "y" Then
                                                            intColSpan += 1
                                                    %>
                                                    <td class="stock">
                                                        <asp:Label ID="lblStock_Rows" runat="server" Text='<%# Eval("V_Quantity") %>'></asp:Label>
                                                    </td>
                                                    <% End If%>
                                                    <%  ' Tax Columns ..---------------------
                                                        If KartSettingsManager.GetKartConfig("frontend.display.showtax") = "y" Then
                                                            If KartSettingsManager.GetKartConfig("general.tax.pricesinctax") = "y" Then%>
                                                    <td class="price">
                                                        <asp:Literal ID="litCalculatedTax_Rows" runat="server" Text='<%# Eval("CalculatedTax") %>'
                                                            Visible="false" />
                                                        <asp:Literal ID="litResultedCalculatedTax_Rows" runat="server" />
                                                    </td>
                                                    <% If KartSettingsManager.GetKartConfig("general.tax.usmultistatetax") = "n" Then%>
                                                    <td class="price">
                                                        <asp:Literal ID="litIncTax_Rows" runat="server" Text='<%# Eval("V_Price") %>' Visible="false" />
                                                        <asp:Literal ID="litResultedIncTax_Rows" runat="server" />
                                                    </td>
                                                    <%End If%>
                                                    <%Else%>
                                                    <td class="price">
                                                        <asp:Literal ID="litExTax_Rows" runat="server" Text='<%# Eval("V_Price") %>' Visible="false" />
                                                        <asp:Literal ID="litResultedExTax_Rows" runat="server" />
                                                    </td>
                                                    <% If KartSettingsManager.GetKartConfig("general.tax.usmultistatetax") = "n" Then%>
                                                    <td class="price">
                                                        <asp:Literal ID="litTaxRate_Rows" runat="server" Text='<%# Eval("T_TaxRate") %>'
                                                            Visible="false" />
                                                        <asp:Literal ID="litResultedTaxRate_Rows" runat="server" />
                                                    </td>
                                                    <%End If%>
                                                    <%End If%>
                                                    <%  Else%>
                                                    <td class="price">
                                                        <asp:Literal ID="litPrice_Rows" runat="server" Text='<%# Eval("V_Price") %>' Visible="false" />
                                                        <asp:Literal ID="litResultedPrice_Rows" runat="server" />
                                                    </td>
                                                    <%  End If ' Tax Columns ..---------------------%>
                                                    <%  'Hide 'add' button and selector if in cataloguemode
                                                        If KartSettingsManager.GetKartConfig("frontend.cataloguemode") <> "y" Then
                                                    %>
                                                    <td class="addtobasket">
                                                        <asp:PlaceHolder ID="phdCustomizable" runat="server" Visible='<%# Eval("V_CustomizationType") <> "n" %>'>
                                                            <div class="cancustomizetag" title="<asp:Literal ID='litContentTextCanCustomize2' Text='<%$ Resources: Products, ContentText_CanCustomize %>' runat='server'></asp:Literal>">
                                                            </div>
                                                        </asp:PlaceHolder>
                                                        <asp:PlaceHolder ID="phdNotOutOfStock2" runat="server" Visible='<%# Iif(Eval("V_Quantity") < 1 And Eval("V_QuantityWarnLevel") > 0, False, True) %>'>
                                                            <asp:UpdatePanel ID="updVersionQty2" runat="server" UpdateMode="Conditional" RenderMode="Inline">
                                                                <ContentTemplate>
                                                                    <user:AddPane ID="UC_AddToBasketQty2" runat="server" HasAddButton="True" CanCustomize='<%# Eval("V_CustomizationType") <> "n" %>' VersionID='<%# Eval("V_ID") %>' />
                                                                </ContentTemplate>
                                                            </asp:UpdatePanel>
                                                        </asp:PlaceHolder>
                                                        <asp:PlaceHolder ID="phdOutOfStock2" runat="server" Visible='<%# Iif(Eval("V_Quantity") < 1 And Eval("V_QuantityWarnLevel") > 0, True, False) %>'>
                                                            <div class="outofstock">
                                                                <asp:Literal ID="litOutOfStockMessage2" runat="server" Text="<%$ Resources: Versions, ContentText_AltOutOfStock %>" /></div>
                                                        </asp:PlaceHolder>
                                                    </td>
                                                    <% End If%>
                                                </tr>
                                                <tr runat="server" id="trImageDescRow" visible="false" class="description">
                                                    <td colspan="3" class="description">
                                                        <asp:UpdatePanel ID="updDescImageRow" runat="server" UpdateMode="Conditional" ChildrenAsTriggers="false">
                                                            <ContentTemplate>
                                                                <user:ImageViewer ID="UC_ImageViewer_Rows" runat="server" />
                                                                <asp:Label ID="lblDesc_Rows" runat="server" Text='<%# Eval("V_Desc") %>' Visible="false"></asp:Label>
                                                            </ContentTemplate>
                                                        </asp:UpdatePanel>
                                                    </td>
                                                </tr>
                                            </ItemTemplate>
                                        </asp:Repeater>
                                    </tbody>
                                </table>
                            </ContentTemplate>
                        </asp:UpdatePanel>
                    </div>
                </asp:View>
                <asp:View ID="viwVersionDropDown" runat="server">
                    <div class="boxinset line">
                        <div class="addtobasket" runat="server">
                            <asp:UpdatePanel ID="updVersionDropdown" runat="server" UpdateMode="Conditional">
                                <ContentTemplate>
                                    <asp:DropDownList ID="ddlName_DropDown" runat="server" AutoPostBack="true" OnSelectedIndexChanged="ddlName_DropDown_SelectedIndexChanged">
                                    </asp:DropDownList>
                                    <asp:TextBox runat="server" ID="txtOutOfStockItems" Visible="false">
                                    </asp:TextBox>
                                    <%  'Hide 'add' button and selector if in cataloguemode
                                        If KartSettingsManager.GetKartConfig("frontend.cataloguemode") <> "y" Then%>
                                    <div class="selector">
                                        <asp:UpdatePanel ID="updVersionQty3" runat="server" UpdateMode="Conditional" RenderMode="Block">
                                            <ContentTemplate>
                                                <asp:PlaceHolder ID="phdNotOutOfStock3" runat="server">
                                                    <asp:PlaceHolder ID="phdDropdownCustomizable" runat="server">
                                                        <div class="cancustomizetag" title="<asp:Literal ID='litContentTextCanCustomize3' Text='<%$ Resources: Products, ContentText_CanCustomize %>' runat='server'></asp:Literal>">
                                                        </div>
                                                    </asp:PlaceHolder>
                                                    <user:AddPane ID="UC_AddToBasketQty3" runat="server" HasAddButton="False" />
                                                    <asp:UpdatePanel ID="updAddVersions3" runat="server" UpdateMode="Conditional">
                                                        <ContentTemplate>
                                                            <asp:Button ID="btnAddVersions3" runat="server" CssClass="button" Text="<%$ Resources: Products, FormButton_Add %>" />
                                                        </ContentTemplate>
                                                    </asp:UpdatePanel>
                                                </asp:PlaceHolder>
                                                <asp:PlaceHolder ID="phdOutOfStock3" runat="server" Visible="false">
                                                    <div class="outofstock">
                                                        <asp:Literal ID="litOutOfStockMessage3" runat="server" Text="<%$ Resources: Versions, ContentText_AltOutOfStock %>" /></div>
                                                </asp:PlaceHolder>
                                            </ContentTemplate>
                                        </asp:UpdatePanel>
                                    </div>
                                    <% End If%>
                                </ContentTemplate>
                            </asp:UpdatePanel>
                        </div>
                        <div class="spacer"></div>
                    </div>
                </asp:View>
                <asp:View ID="viwVersionOptions" runat="server">
                    <asp:Label ID="lblVID_Options" runat="server" Visible="False"></asp:Label>
                    <asp:UpdatePanel ID="updPricePanel" runat="server" UpdateMode="Conditional">
                        <ContentTemplate>
                            <div class="prices">
                                <%
                                    'Store base item price and tax rate
                                %>
                                <asp:Literal ID="litPriceHidden" runat="server" Visible="false" />
                                <asp:Literal ID="litTaxRateHidden" runat="server" Visible="false" />
                                <%
                                    'ex tax
                                %>
                                <asp:PlaceHolder ID="phdExTax" runat="server" Visible="false"><span class="extax">
                                    <asp:Literal ID="litExTaxLabel" runat="server" Text="<%$ Resources: Kartris, ContentText_ExTax %>" />
                                    <span class="figure">
                                        <asp:Literal ID="litExTax" runat="server" /></span></span> </asp:PlaceHolder>
                                <%
                                    'inc tax
                                    If KartSettingsManager.GetKartConfig("general.tax.usmultistatetax") = "n" Then%>
                                <asp:PlaceHolder ID="phdIncTax" runat="server" Visible="false"><span class="inctax">
                                    <asp:Literal ID="litIncTaxLabel" runat="server" Text="<%$ Resources: Kartris, ContentText_IncTax %>" />
                                    <span class="figure">
                                        <asp:Literal ID="litIncTax" runat="server" /></span></span> </asp:PlaceHolder>
                                <%  End If%>
                                <%
                                    'tax
                                %>
                                <asp:PlaceHolder ID="phdTax" runat="server" Visible="false"><span class="inctax">
                                    <asp:Literal ID="litTaxRateLabel" runat="server" Text="<%$ Resources: Kartris, ContentText_Tax %>" />
                                    <span class="figure">
                                        <asp:Literal ID="litTaxRate" runat="server" /></span></span></asp:PlaceHolder>
                                <%
                                    'price
                                %>
                                <asp:PlaceHolder ID="phdPrice" runat="server" Visible="false"><span class="price">
                                    <asp:Literal ID="litPriceLabel" runat="server" Text="<%$ Resources: Kartris, ContentText_Price %>" />
                                    <span class="figure">
                                        <asp:Literal ID="litPriceView" runat="server" /></span></span></asp:PlaceHolder>
                            </div>
                        </ContentTemplate>
                    </asp:UpdatePanel>
                    <asp:UpdatePanel ID="updOptionsContainer" runat="server" UpdateMode="Conditional">
                        <ContentTemplate>
                            <user:OptionsContainer ID="UC_OptionsContainer" runat="server" />
                        </ContentTemplate>
                    </asp:UpdatePanel>
                    
                        
                    <div class="boxinset line">
                        <div class="addtobasket">
                            <div class="selector">
                                <asp:UpdatePanel ID="updOptions" runat="server" UpdateMode="Conditional" RenderMode="Block">
                                    <ContentTemplate>
                                    <%  'Hide 'add' button and selector if in cataloguemode
                                        If KartSettingsManager.GetKartConfig("frontend.cataloguemode") <> "y" Then%>
                                            <asp:PlaceHolder ID="phdOptionsCustomizable" runat="server">
                                                <div class="cancustomizetag" title="<asp:Literal ID='litContentTextCanCustomize4' Text='<%$ Resources: Products, ContentText_CanCustomize %>' runat='server'></asp:Literal>">
                                                </div>
                                            </asp:PlaceHolder>
                                            <user:AddPane ID="UC_AddToBasketQty4" runat="server" HasAddButton="False" />
                                            <asp:PlaceHolder ID="phdNotOutOfStock4" runat="server">
                                                <asp:UpdatePanel ID="updAddOptions" runat="server" UpdateMode="Conditional">
                                                    <ContentTemplate>
                                                        <asp:Button ID="btnAdd_Options" runat="server" CssClass="button" Text="<%$ Resources: Products, FormButton_Add %>" />
                                                    </ContentTemplate>
                                                </asp:UpdatePanel>
                                            </asp:PlaceHolder>
                                            <asp:PlaceHolder ID="phdOutOfStock4" runat="server" Visible="false">
                                                <div class="outofstock">
                                                    <asp:Literal ID="litContentText_AltOutOfStock" runat="server" Text="<%$ Resources: Versions, ContentText_AltOutOfStock %>" /></div>
                                            </asp:PlaceHolder>
                                        <% End If%>
                                    </ContentTemplate>
                                </asp:UpdatePanel>
                            </div>
                        </div>
                    </div>
                    <div class="spacer"></div>
                </asp:View>
            </asp:MultiView>
            <asp:PlaceHolder ID="phdQuanityDiscounts" runat="server" Visible="false">
                <div id="section_quantitydiscounts" class="collapsiblePanel">
                    <asp:UpdatePanel ID="updQD" runat="server" UpdateMode="Conditional">
                        <ContentTemplate>
                            <h2>
                                <asp:LinkButton ID="lnkBtnQuanityDiscount" runat="server" Text="<%$ Resources: Versions, ContentText_ViewQuantityDiscount %>" /></h2>
                            <p>
                                <asp:Literal ID="litContentTextDiscountsAvailable" runat="server" Text="<%$ Resources: Versions, ContentText_DiscountsAvailable %>" /></p>
                            <ajaxToolkit:CollapsiblePanelExtender ID="cpeQuantityDiscounts" runat="server" Collapsed="true"
                                ExpandControlID="lnkBtnQuanityDiscount" CollapseControlID="lnkBtnQuanityDiscount"
                                TargetControlID="pnlQuanityDiscountList">
                            </ajaxToolkit:CollapsiblePanelExtender>
                            <asp:Panel ID="pnlQuanityDiscountList" runat="server">
                                <asp:Repeater ID="rptQuantityDiscount" runat="server">
                                    <ItemTemplate>
                                        <asp:Literal ID="litVersionCode_Hidden" runat="server" Text='<%# Eval("VersionCode") %>'
                                            Visible="false" />
                                        <br />
                                        <table>
                                            <thead>
                                                <tr>
                                                    <th class="name"><asp:Literal ID="litVersionName" runat="server" Text='<%# Eval("VersionName") %>' /></th>
                                                    <th>
                                                        <asp:Literal ID="litContentTextQuantity" runat="server" Text="<%$ Resources: Kartris, ContentText_Quantity %>" />
                                                    </th>
                                                    <th>
                                                        <asp:Literal ID="liContentTextPrice" runat="server" Text="<%$ Resources: Kartris, ContentText_Price %>" />
                                                    </th>
                                                </tr>
                                            </thead>
                                            <tbody>
                                                <asp:Repeater ID="rptVersionsDiscount" runat="server">
                                                    <ItemTemplate>
                                                        <tr>
                                                            <td>
                                                                &nbsp;
                                                            </td>
                                                            <td>
                                                                <asp:Literal ID="litQuantity" runat="server" Text='<%# Eval("Quantity") %>' />
                                                            </td>
                                                            <td>
                                                                <asp:Literal ID="litPrice" runat="server" Text='<%# Eval("Price") %>' />
                                                            </td>
                                                        </tr>
                                                    </ItemTemplate>
                                                </asp:Repeater>
                                            </tbody>
                                        </table>
                                    </ItemTemplate>
                                </asp:Repeater>
                            </asp:Panel>
                        </ContentTemplate>
                    </asp:UpdatePanel>
                </div>
            </asp:PlaceHolder>
        </ContentTemplate>
    </asp:UpdatePanel>
</div>
<user:PopupMessage ID="UC_PopupMessage" runat="server" />
